org.apache.lucene.index

## Class LegacyNumericDocValues

- java.lang.Object
- - org.apache.lucene.index.LegacyNumericDocValues

- Direct Known Subclasses:
    PackedInts.Reader

  Deprecated.
  Use `NumericDocValues` instead.

      @Deprecated
      public abstract class LegacyNumericDocValues
      extends Object

  A per-document numeric value.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `LegacyNumericDocValues()` Deprecated. Sole constructor.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract long` | `get(int docID)` Deprecated. Returns the numeric value for the specified document ID.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LegacyNumericDocValues

          protected LegacyNumericDocValues()

      Deprecated.
      Sole constructor. (For invocation by subclass constructors, typically implicit.)

  - ### Method Detail

    - #### get

          public abstract long get(int docID)

      Deprecated.
      Returns the numeric value for the specified document ID.
      Parameters:
        `docID` - document ID to lookup
      Returns:
        numeric value

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.